package com.anibal.prueba_pooproyect;

public class Player {
    Player(Board board) {
        this.board = board;
        //scan = new Scanner(System.in);

    }

    String takeTurn(Integer player){
        String move = pickMove();
        board.placeMove(player,move,true);
        board.printBoard();

        return move;
    }

    String pickMove() {
        while (true) {
            System.out.println("Introduzca una jugada. ej: "
                    + "1 2; 10 6; 2 5");
            //String move = scan.nextLine();
            String move = "1 2";
            if (board.getEmpties().contains(move)) {
                return move;
            } else {
                System.out.println("Jugada invalida");
                System.out.println("Jugar nuevamente porfavor");

            }
        }

    }

    private Board board;
    //private Scanner scan;
}